# X / X User Tweets

Fetch recent public tweets for a user id (from User Info). Best coverage on verified accounts. Response is a compact tweet list (not raw GraphQL).

```
GET /api/v1/twitter/tweets
```

Auth: `Authorization: Bearer <SOCIFY_KEY>`  
Credits: 4 credits per request

## Parameters

| Name | Required | Description | Example |
|------|----------|-------------|---------|
| `id` | yes | Numeric user id from User Info (id). | `44196397` |

## Example

```bash
curl -s 'https://trysocify.com/api/v1/twitter/tweets?id=44196397' \
  -H "Authorization: Bearer $SOCIFY_KEY"
```

## Response fields

| Field | Type | Description |
|-------|------|-------------|
| `[].id` | string | Tweet id. |
| `[].text` | string | Tweet text. |
| `[].created_at` | string | Tweet timestamp. |
| `[].likes` | number | Like count. |
| `[].retweets` | number | Retweet count. |
| `[].replies` | number | Reply count. |
| `[].quotes` | number | Quote count. |
| `[].views` | string | View count when available. |
| `[].author.username` | string | Author username. |
| `[].media[].url` | string | Media URL when present. |
## Sample response

Successful lookups wrap the payload in `{ ok, platform, resource, params, data, meta }`. `data` is shown below.

```json
{
  "ok": true,
  "platform": "twitter",
  "resource": "tweets",
  "params": {
    "id": "44196397"
  },
  "data": [
    {
      "author": {
        "id": "44196397",
        "is_blue_verified": true,
        "name": "Elon Musk",
        "username": "elonmusk"
      },
      "created_at": "Wed Aug 23 17:00:00 +0000 2023",
      "id": "1694791112567967849",
      "lang": "en",
      "likes": 12000,
      "quotes": 120,
      "replies": 800,
      "retweets": 3400,
      "text": "Example tweet",
      "views": "1500000"
    }
  ],
  "meta": {
    "credits_charged": 4,
    "latency_ms": 420,
    "platform": "twitter",
    "resource": "tweets",
    "path": "/api/v1/twitter/tweets"
  }
}
```

## Links

- HTML docs: https://trysocify.com/docs/api/twitter/tweets
- SEO page: https://trysocify.com/twitter/tweets
- OpenAPI: https://trysocify.com/openapi.json
- Catalog: https://trysocify.com/catalog.json
